Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.policy
Class BootstrapTester

    java.lang.Object
      oracle.ifs.admin.tools.policy.BootstrapTester

    public class BootstrapTester

extends java.lang.Object

A BootstrapTester tests the acquiring of PolicyActionContexts, mimicking what happens at bootstrap time during schema creation

(Unpublished)

Constructor Summary
`BootstrapTester()` Default constructor.

Method Summary
`protected void` | `log()` Puts out a blank line to the log
`protected void` | `log(int indentLevel, java.lang.String msg)` Puts out an indented string to the log.
`protected void` | `log(java.lang.String msg)` Puts out a string to the log
`protected void` | `log(java.lang.Throwable throwable)` Puts out an exception to the log
`static void` | `main(java.lang.String[] args)` Run the Bootstrap test
`protected void` | `printStackTrace(java.lang.Throwable e)` Add stack trace to the log.
`void` | `run(java.lang.String[] args)` Shows the PolicyActionContexts that will result from the specified Policy file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapTester

    public BootstrapTester()

  Default constructor.

  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `BootstrapTester`
  Run the Bootstrap test

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

### run

    public void run(java.lang.String[] args)
             throws java.lang.Exception

  Description copied from class: `BootstrapTester`
  Shows the PolicyActionContexts that will result from the specified Policy file.

  Parameters:
    `args` - command line arguments
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### log

    protected void log()

  Description copied from class: `BootstrapTester`
  Puts out a blank line to the log

  (Unpublished)

### log

    protected void log(java.lang.String msg)

  Description copied from class: `BootstrapTester`
  Puts out a string to the log

  Parameters:
    `msg` - the String
  (Unpublished)

### log

    protected void log(int indentLevel,
                       java.lang.String msg)

  Description copied from class: `BootstrapTester`
  Puts out an indented string to the log.

  Parameters:
    `indentLevel` - degree to which the message should be indented
    `msg` - the String
  (Unpublished)

### log

    protected void log(java.lang.Throwable throwable)

  Description copied from class: `BootstrapTester`
  Puts out an exception to the log

  Parameters:
    `throwable` - the exception
  (Unpublished)

### printStackTrace

    protected void printStackTrace(java.lang.Throwable e)

  Description copied from class: `BootstrapTester`
  Add stack trace to the log.

  Parameters:
    `e` - the exception for which to print a stack trace
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD